<?php
/* ------------------------------------------------------------------------
  # lightrss - Light RSS
  # ------------------------------------------------------------------------
  # author    Prieco S.A.
  # copyright Copyright (C) 2012 Prieco.com. All Rights Reserved.
  # @license - http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
  # Websites: http://www.prieco.com
  # Technical Support: Forum - http://www.prieco.com/en/forum/index.html
  ------------------------------------------------------------------------- */

// security check - no direct access
defined('_JEXEC') or die('Restricted access');

//error handling: output any error message to admin users only
$user = & JFactory::getUser();
if (count($light_rss['error']) && in_array($user->gid, array(24, 25))) {
	// only show errors to admin group users
	print '<div style="color:red;"><b>Error(s):</b><ul style="margin-left:4px;padding-left:4px;">';
	foreach ($light_rss['error'] as $error) {
		print '<li>' . $error . '</li>';
	}
	print '</ul></div>';
}

//check to enable tooltip js for lightTip classed elements
if ($params->get('enable_tooltip') == 'yes') {
	JHTML::_('behavior.tooltip', '.lightTip');
	$tooltips = true;
}
//begin output
?>
<!-- light rss http://joomla.daveslist.co.nz -->
<div class="light-rss-container" style="direction: <?php echo $rssrtl ? 'rtl' : 'ltr'; ?>; text-align: <?php echo $rssrtl ? 'right' : 'left'; ?>">
	<?php
//feed title
	if ($params->get(rsstitle, 1) && $light_rss['title']['link']) {
		print '<div><a href="' . $light_rss['title']['link'] . '" target="' . $light_rss['target'] . '">' . $light_rss['title']['title'] . '</a></div>';
	}
//feed desc
	if ($params->get(rssdesc, 1) && $light_rss['description']) {
		print '<div class="light-rss-desc">' . $light_rss['description'] . '</div>';
	}
//feed image
	if ($params->get(rssimage, 0) && $light_rss['image']['url']) {
		print '<img src="' . $light_rss['image']['url'] . '" title="' . $light_rss['image']['title'] . '" class="light-rss-img">';
	}
	?>
	<ul class="light-rss-list<?php echo $params->get('moduleclass_sfx'); ?>" style="margin-left:0px;padding-left:0px;">
		<?php
		if ($light_rss['items']) {
			foreach ($light_rss['items'] as $item) {
				if ($tooltips) {
					$title = $item['tooltip']['title'] . '::' . $item['tooltip']['description'];
				} else {
					$title = $item['description'];
				}
				//item desc
				if ($params->get(rssitemdesc, 0) && $item['description']) {
					$desc = $item['description'];
				}
				print '
        <li class="light-rss-item' . $params->get('moduleclass_sfx') . '">
        <a href="' . $item['link'] . '" title="' . $title . '" class="lightTip" target="' . $light_rss['target'] . '" ' . $light_rss['nofollow'] . '>' . $item['title'] . '</a>';
				print '<div class="light-rss-item-desc">' . $desc . '</div>';
				print '</li>';
			}
		}
		?>
	</ul>
</div>
<!-- /light-rss -->